﻿
@using PhotoContest.Domain.ViewModels.UserViewModels;
@using PhotoContest.Api.ViewModels.PaginationViewModels;


@model PaginatedListGetModel<UserGetViewModel>;

@{
    Layout = "_Layout";
    bool currentuser = (bool)TempData["currentUserRole"];
}


        <h2>Photo enthusiasts</h2>

<table class="table">
    <thead>
        <tr>
            <th scope="col">Id</th>
            <th scope="col">FirstName</th>
            <th scope="col">LastName</th>
            <th scope="col">Username</th>
            <th scope="col">Role</th>
            <th scope="col">Ranking</th>
        </tr>
    </thead>

    <tbody>
        @foreach (var item in Model.Elements)
        {
            <tr>

                <th scope="row">@item.Id</th>
                <td>@item.FirstName</td>
                <td>@item.LastName</td>
                <td>@item.Username</td>
                <td>@item.Role</td>
                <td>@item.Ranking</td>
                <td>
                    <a asp-controller="Users" asp-action="Index" asp-route-contestId="@item.Id">Open</a>
                    <br />
                    @if (currentuser)
                    {
                    <a asp-controller="Contests" asp-action="Remove" asp-route-id="@item.Id">Remove</a>}
                </td>
            </tr>

        }
    </tbody>
</table>